#!/bin/bash

# to run do: bash DB_scan.sh

# prerequisites:
# - the hostname is set
# - export PATH=/afs/psi.ch/project/sls_det_software/latest_slsDetectorPackage/build/bin:$PATH
# - export LD_LIBRARY_PATH=/afs/psi.ch/project/sls_det_software/latest_slsDetectorPackage/build/bin:$LD_LIBRARY_PATH
# - detector is on
# - xray tube is on and ramped for 30 kV, 80 mA

sls_detector_put powerchip 1

# set ADCINVERSionreg (by trial and error)
sls_detector_put reg 0x43 0x453b2a9c 

sls_detector_put period 0.002
sls_detector_put exptime 0.000010 # will need to be increased
sls_detector_put vhighvoltage 200
sls_detector_put frames 1000

# configure for receiver on mpc2012
sls_detector_put rx_udpport 32410
sls_detector_put rx_udpip 10.1.3.105
sls_detector_put rx_udpmac 3C:FD:FE:A2:14:D9
sls_detector_put detectorip 10.1.3.9
sls_detector_put detectormac 00:ab:be:cc:dd:e2
sls_detector_put configuremac 0 


CLI=/afs/psi.ch/project/sls_det_software/bin/xrayClient64_sl6 
$CLI setc 2
sleep 15
$CLI setv 30 ## set voltage of tube to 30 kV (max possible at 80 mA)
sleep 15


echo "The receiver should be waiting for data"
echo "Please check and press any key to continue, or press q to exit this script"
read -n 1 -s input 
if [[ $input = "q" ]]; then 
    echo "Exiting script"
    exit 1 
fi


for itube in {2..80}
do

$CLI setc $itube
sleep 5

$CLI shutter 3 on
sleep 2

sls_detector_put status start
sleep 5 # 1000 frames at 500 Hz takes 2s

$CLI shutter 3 off
sleep 2

done

$CLI shutter 3 off

echo "You can close the receiver file"
echo "Script finished"

