#!/bin/bash

# to run do: bash LC_scan.sh

# prerequisites:
# - the hostname is set
# - export PATH=/afs/psi.ch/project/sls_det_software/latest_slsDetectorPackage/build/bin:$PATH
# - export LD_LIBRARY_PATH=/afs/psi.ch/project/sls_det_software/latest_slsDetectorPackage/build/bin:$LD_LIBRARY_PATH
# - detector is on

sls_detector_put powerchip 1

# set ADCINVERSionreg (by trial and error)
sls_detector_put reg 0x43 0x453b2a9c 

sls_detector_put period 1.0
sls_detector_put vhighvoltage 200
sls_detector_put frames 10

# configure for receiver on mpc2012
sls_detector_put rx_udpport 32410
sls_detector_put rx_udpip 10.1.3.105
sls_detector_put rx_udpmac 3C:FD:FE:A2:14:D9
sls_detector_put detectorip 10.1.3.9
sls_detector_put detectormac 00:ab:be:cc:dd:e2
sls_detector_put configuremac 0 


echo "The receiver should be waiting for data"
echo "Please check and press any key to continue, or press q to exit this script"
read -n 1 -s input 
if [[ $input = "q" ]]; then 
    echo "Exiting script"
    exit 1 
fi


for tint in {5..45..5}
do
tint_sec=$(printf %.6f $(echo "$tint/1000000" | bc -l))
echo "setting integration time to (s) " $tint_sec
sls_detector_put exptime $tint_sec
sleep 1
sls_detector_put status start
sleep 11
done

for tint in {5..45..5}
do
tint_sec=$(printf %.6f $(echo "$tint/100000" | bc -l))
echo "setting integration time to (s) " $tint_sec
sls_detector_put exptime $tint_sec
sleep 1
sls_detector_put status start
sleep 11
done

for tint in {5..45..5}
do
tint_sec=$(printf %.6f $(echo "$tint/10000" | bc -l))
echo "setting integration time to (s) " $tint_sec
sls_detector_put exptime $tint_sec
sleep 1
sls_detector_put status start
sleep 11
done

for tint in {5..45..5}
do
tint_sec=$(printf %.6f $(echo "$tint/1000" | bc -l))
echo "setting integration time to (s) " $tint_sec
sls_detector_put exptime $tint_sec
sleep 1
sls_detector_put status start
sleep 11
done

for tint in {5..45..5}
do
tint_sec=$(printf %.6f $(echo "$tint/100" | bc -l))
echo "setting integration time to (s) " $tint_sec
sls_detector_put exptime $tint_sec
sleep 1
sls_detector_put status start
sleep 11
done

echo "Finished scan"
echo "Script finished"
